function val = get_candpivot_scores( obj )

cxscore_ldir = obj.m_cxscore_per_candpivot_ldir;
cxscore_label = obj.m_cxscore_per_candpivot_label;
matchscore = obj.m_matchscore_per_candpivot;

val = (cxscore_ldir+cxscore_label).*matchscore;
% val = cxscore_ldir.*cxscore_label.*matchscore;

% handle disabled labels
maskinvalid = ismember(obj.m_lbs_per_candpivot,GLOBALCONST.DISABLED_LABELS);
val(maskinvalid) = 0;


end

